Skip to main content
GET
Get top sources

Authorizations

Authorization
string
header
required

Personal API key created in the dashboard under Settings > API keys.

Query Parameters

time_range
enum<string> | null
Available options:
all_time,
1y,
1m,
1w,
1d
platforms[]
enum<string>[] | null
Available options:
ChatGPT,
Gemini,
AI Overviews,
Google AI Mode,
Perplexity,
Mistral,
Claude,
DeepSeek,
Grok,
Copilot,
Bing AI Mode
localizations[]
string[] | null
topic_ids[]
integer[] | null
brand_scopes[]
enum<string>[] | null

Filter by brand scope (branded or non_branded).

Available options:
branded,
non_branded
intents[]
enum<string>[] | null

Filter by prompt intent.

Available options:
informational,
comparative,
transactional,
navigational
group_by
string
default:domain
Pattern: ^(domain|url)$
source_class
enum<string> | null
Available options:
all,
mentioned,
background
scope
enum<string> | null

all (default): every source. own: only pages of the tracked website (aliases included). external: everything else.

Available options:
all,
own,
external
limit
integer
default:10
Required range: 1 <= x <= 50
website_id
integer
required

Target website id

Response

Successful Response

domain
string
required
citation_count
integer
required
url
string | null
rank
integer | null
percentage
number | null
avg_position
number | null
answer_count
integer
default:0
retrieved_pct
number | null
citations_per_answer
number | null
citation_share
number | null